> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> List all agents.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/agents
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/agents:
    get:
      tags:
        - Agents
      summary: List Agents
      description: List all agents.
      operationId: core_api_v1_controllers_agents_list_agents
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: name
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
          required: false
        - in: query
          name: status
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AgentListOut:
      description: Paginated list response for agents.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/AgentSummaryOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: AgentListOut
      type: object
    AgentSummaryOut:
      description: Lightweight agent response schema for list views.
      properties:
        object:
          default: agent
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        status:
          title: Status
          type: string
        prompt_template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template Id
        prompt_template_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template Name
        tools:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Tools
          type: array
        sources:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Sources
          type: array
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        custom_icon_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Icon Id
        is_background_agent:
          default: false
          title: Is Background Agent
          type: boolean
        can_be_used_as_tool:
          default: false
          title: Can Be Used As Tool
          type: boolean
        ui_selectable:
          default: true
          title: Ui Selectable
          type: boolean
        order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Order
      required:
        - id
        - name
        - status
      title: AgentSummaryOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````